profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/bjansen/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.

antlr/intellij-plugin-v4 340

An IntelliJ plugin for ANTLR v4

antlr/antlr4-intellij-adaptor 126

A library to support the use of ANTLR grammars in jetbrains IDE plugins for building custom languages.

antlr/jetbrains-plugin-sample 83

A sample plugin for jetbrains IDEs that uses an ANTLR grammar for a nontrivial custom language.

bjansen/gyokuro 27

Web framework written in Ceylon 🐘

beanio/beanio 20

BeanIO 3, a Java library for marshalling and unmarshalling bean objects from XML, CSV, delimited and fixed length stream formats.

antlr/jetbrains-plugin-st4 19

An intellij/jetbrains plugin for StringTemplate .st and .stg files

bjansen/IDEALeek 6

[ON HOLD] IntelliJ support for LeekScript (https://leekwars.com/)

bjansen/intellij-icon-generator 6

Creates SVG icons to use in IntelliJ plugins

bjansen/ceylon-browser-demo 3

Example of how to run Ceylon in a web browser

bjansen/ceylon-jooq-example 3

An example of how jOOQ can be used in Ceylon.

push eventbjansen/swagger-schema-validator

dependabot[bot]

commit sha 3175befc4ca7fe8e498529acc07907fdd72549f7

Bump junit-jupiter from 5.7.2 to 5.8.0 Bumps [junit-jupiter](https://github.com/junit-team/junit5) from 5.7.2 to 5.8.0. - [Release notes](https://github.com/junit-team/junit5/releases) - [Commits](https://github.com/junit-team/junit5/compare/r5.7.2...r5.8.0) --- updated-dependencies: - dependency-name: org.junit.jupiter:junit-jupiter dependency-type: direct:development update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha d83d69476eb2117f3a868b5ebedd9f59713292a1

Merge pull request #27 from bjansen/dependabot/maven/org.junit.jupiter-junit-jupiter-5.8.0 Bump junit-jupiter from 5.7.2 to 5.8.0

view details

push time in 3 days

PR merged bjansen/swagger-schema-validator

Bump junit-jupiter from 5.7.2 to 5.8.0 dependencies

Bumps junit-jupiter from 5.7.2 to 5.8.0. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/junit-team/junit5/releases">junit-jupiter's releases</a>.</em></p> <blockquote> <p>JUnit 5.8.0 = Platform 1.8.0 + Jupiter 5.8.0 + Vintage 5.8.0</p> <p>See <a href="http://junit.org/junit5/docs/5.8.0/release-notes/">Release Notes</a>.</p> <p>JUnit 5.8.0-RC1 = Platform 1.8.0-RC1 + Jupiter 5.8.0-RC1 + Vintage 5.8.0-RC1</p> <p>See <a href="http://junit.org/junit5/docs/5.8.0-RC1/release-notes/">Release Notes</a>.</p> <p>JUnit 5.8.0-M1 = Platform 1.8.0-M1 + Jupiter 5.8.0-M1 + Vintage 5.8.0-M1</p> <p>See <a href="http://junit.org/junit5/docs/5.8.0-M1/release-notes/">Release Notes</a>.</p> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/junit-team/junit5/commit/709fd6e1d6d311a5950e0a957283ac37530e41fd"><code>709fd6e</code></a> Release 5.8</li> <li><a href="https://github.com/junit-team/junit5/commit/fa7405528ecdf5a274b050d117ffb2738df0c426"><code>fa74055</code></a> Use text block</li> <li><a href="https://github.com/junit-team/junit5/commit/d36ea28cf16b59db91499d8c63fd4d409c0b9900"><code>d36ea28</code></a> Declare service in module descriptor</li> <li><a href="https://github.com/junit-team/junit5/commit/6c0bf0229a552c926d584fea7c5b2826d464ca21"><code>6c0bf02</code></a> Fix modular user guide tests by reading module <code>jdk.httpserver</code></li> <li><a href="https://github.com/junit-team/junit5/commit/b6dff0d53e6fdc9036d4a35b84fa76ef16e6b0fd"><code>b6dff0d</code></a> Add LauncherSessionListener example to user guide</li> <li><a href="https://github.com/junit-team/junit5/commit/439084d2fd72d6f891d09847d6c5f26de26e4b0b"><code>439084d</code></a> Polish documentation for 5.8 GA</li> <li><a href="https://github.com/junit-team/junit5/commit/fa021ed31335335ae64fb5dc8f3c94e4c59aa775"><code>fa021ed</code></a> Document published dependency scope change as potentially breaking</li> <li><a href="https://github.com/junit-team/junit5/commit/efb980c4e9b24f0639f62ed91835ebf2f7b921e1"><code>efb980c</code></a> Polishing</li> <li><a href="https://github.com/junit-team/junit5/commit/0bd6feb4910cbf0a4facbbeeddd06ce6318d179d"><code>0bd6feb</code></a> Remove link to package private class in Javadoc</li> <li><a href="https://github.com/junit-team/junit5/commit/75538a7262f8fe44a085d061d37be8f3792eb241"><code>75538a7</code></a> Document that autoCloseArguments in <a href="https://github.com/ParameterizedTest"><code>@​ParameterizedTest</code></a> is a potentially break...</li> <li>Additional commits viewable in <a href="https://github.com/junit-team/junit5/compare/r5.7.2...r5.8.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 3 days

push eventbjansen/swagger-schema-validator

dependabot[bot]

commit sha 7062c27783f65e05288c071b05aaf0d4ac4ca1aa

Bump maven-javadoc-plugin from 3.2.0 to 3.3.1 Bumps [maven-javadoc-plugin](https://github.com/apache/maven-javadoc-plugin) from 3.2.0 to 3.3.1. - [Release notes](https://github.com/apache/maven-javadoc-plugin/releases) - [Commits](https://github.com/apache/maven-javadoc-plugin/compare/maven-javadoc-plugin-3.2.0...maven-javadoc-plugin-3.3.1) --- updated-dependencies: - dependency-name: org.apache.maven.plugins:maven-javadoc-plugin dependency-type: direct:production update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha 477165f2b865ed67662d684674f39721e3fca078

Merge pull request #26 from bjansen/dependabot/maven/org.apache.maven.plugins-maven-javadoc-plugin-3.3.1 Bump maven-javadoc-plugin from 3.2.0 to 3.3.1

view details

push time in 7 days

PR merged bjansen/swagger-schema-validator

Bump maven-javadoc-plugin from 3.2.0 to 3.3.1 dependencies

Bumps maven-javadoc-plugin from 3.2.0 to 3.3.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/2d22ccadffc2f22f18e19c2cc6d42fd863b4535d"><code>2d22cca</code></a> [maven-release-plugin] prepare release maven-javadoc-plugin-3.3.1</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/7b7813e5ee6ba59ba75701c4d689337865bdc1f1"><code>7b7813e</code></a> [MJAVADOC-450] Artifacts with a classifier are ignored when looking for resou...</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/0d0e0cc7325fc27b89b7bde0ba2cbe322ff6a040"><code>0d0e0cc</code></a> [MJAVADOC-618] Goal javadoc:aggregate fails with submodules packaged as war</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/a2acaa28f1534b31429589808b630ebe2f08e3d0"><code>a2acaa2</code></a> [MJAVADOC-137] transform verify script from bsh to groovy</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/16ca1192632f2bfc4e10faa4aa24d319957008dc"><code>16ca119</code></a> Clean up slf4j-simple</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/87dbfb209e5b75ead8443d70a0c748d02a4f729b"><code>87dbfb2</code></a> [MJAVADOC-677] Using "requires static transitive" makes javadoc goal fail</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/d770460b765d2a3ccb9594a1a016c6700501861f"><code>d770460</code></a> [MJAVADOC-680] JDK 16+: Error fetching link: ...\target\javadoc-bundle-option...</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/292ebb7eca37a0cebbff8a40a7d85ea915f211ac"><code>292ebb7</code></a> Bump slf4j-simple from 1.7.30 to 1.7.32</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/fe6d738c2f95a3f5a361f0c4ab2eef49d37ae566"><code>fe6d738</code></a> Bump mockito-core from 3.9.0 to 3.12.0</li> <li><a href="https://github.com/apache/maven-javadoc-plugin/commit/d2dd5321dc02e793d87c722224c40d94a607cb51"><code>d2dd532</code></a> [MJAVADOC-679] "Unable to compute stale date" in a directory with accent char...</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-javadoc-plugin/compare/maven-javadoc-plugin-3.2.0...maven-javadoc-plugin-3.3.1">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 7 days

push eventbjansen/swagger-schema-validator

dependabot[bot]

commit sha 9821777d6004f50fac1a7a2cc5676653c195c85e

Bump junit-jupiter from 5.7.1 to 5.7.2 Bumps [junit-jupiter](https://github.com/junit-team/junit5) from 5.7.1 to 5.7.2. - [Release notes](https://github.com/junit-team/junit5/releases) - [Commits](https://github.com/junit-team/junit5/compare/r5.7.1...r5.7.2) Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha 1b068f26cced49c2529034421dd436ef3442428f

Merge pull request #23 from bjansen/dependabot/maven/org.junit.jupiter-junit-jupiter-5.7.2 Bump junit-jupiter from 5.7.1 to 5.7.2

view details

push time in 7 days

PR merged bjansen/swagger-schema-validator

Bump junit-jupiter from 5.7.1 to 5.7.2 dependencies

Bumps junit-jupiter from 5.7.1 to 5.7.2. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/junit-team/junit5/releases">junit-jupiter's releases</a>.</em></p> <blockquote> <p>JUnit 5.7.2 = Platform 1.7.2 + Jupiter 5.7.2 + Vintage 5.7.2</p> <p>See <a href="http://junit.org/junit5/docs/5.7.2/release-notes/">Release Notes</a>.</p> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/junit-team/junit5/commit/0ba600e478c728cdb80c83dcbf554c08f7a0755c"><code>0ba600e</code></a> Move <a href="https://github-redirect.dependabot.com/junit-team/junit5/issues/2423">#2423</a> to 5.7.2</li> <li><a href="https://github.com/junit-team/junit5/commit/e6d74ab2f2d17c88c166a30fbcd8bb97f3fc8f31"><code>e6d74ab</code></a> Acquire global read lock in presence of other exclusive resources</li> <li><a href="https://github.com/junit-team/junit5/commit/267ce626491b02a86af7fb94191313adb8959f8e"><code>267ce62</code></a> Add Stalebot configuration</li> <li><a href="https://github.com/junit-team/junit5/commit/05414dc722cee139718c8de7202e3f8a79a1f680"><code>05414dc</code></a> Upgradle to 7.0.1</li> <li><a href="https://github.com/junit-team/junit5/commit/8d9ef8045bc28645953baace63999cc994e1d4e1"><code>8d9ef80</code></a> Update spring-nohttp plugin</li> <li><a href="https://github.com/junit-team/junit5/commit/4e98f5530b6d731f9167cbe4e43cf8d0fcc2f525"><code>4e98f55</code></a> Hard-wrap at 90 chars and add indentation</li> <li><a href="https://github.com/junit-team/junit5/commit/6359e512436a642ad1efc986f754105344b94ff3"><code>6359e51</code></a> Add Provide-Capability OSGi header to engine bundles</li> <li><a href="https://github.com/junit-team/junit5/commit/a02c62ac53a9d4d271e4bfd8ee28f438d4dbe4f8"><code>a02c62a</code></a> Move entry to 5.7.2 release notes</li> <li><a href="https://github.com/junit-team/junit5/commit/4f206d347fda5c84b1a46245b0c57d427f24039b"><code>4f206d3</code></a> Update shadow plugin</li> <li><a href="https://github.com/junit-team/junit5/commit/81e6b008f742a5d2a4e1aaa23e409199f1c55b86"><code>81e6b00</code></a> Update Kotlin plugin</li> <li>Additional commits viewable in <a href="https://github.com/junit-team/junit5/compare/r5.7.1...r5.7.2">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 7 days

push eventbjansen/swagger-schema-validator

dependabot[bot]

commit sha c62856141c962389da9c6816e20941a5fa7f751e

Bump maven-gpg-plugin from 1.6 to 3.0.1 Bumps [maven-gpg-plugin](https://github.com/apache/maven-gpg-plugin) from 1.6 to 3.0.1. - [Release notes](https://github.com/apache/maven-gpg-plugin/releases) - [Commits](https://github.com/apache/maven-gpg-plugin/compare/maven-gpg-plugin-1.6...maven-gpg-plugin-3.0.1) Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha ab672c44e3a52d8f4ce228ee044f2945be1410e4

Merge pull request #22 from bjansen/dependabot/maven/org.apache.maven.plugins-maven-gpg-plugin-3.0.1 Bump maven-gpg-plugin from 1.6 to 3.0.1

view details

push time in 7 days

PR merged bjansen/swagger-schema-validator

Bump maven-gpg-plugin from 1.6 to 3.0.1 dependencies

Bumps maven-gpg-plugin from 1.6 to 3.0.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/525508093293cd1bb78d439cb28f2c48d7d79d9b"><code>5255080</code></a> [maven-release-plugin] prepare release maven-gpg-plugin-3.0.1</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/e4dc0625f45f611efc9f8c0b39dc8fd80cdb90dd"><code>e4dc062</code></a> [MGPG-79] fix handling of external pinentry programs in case the passphrase i...</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/5902b2bf1f7fe866e64cdf7998d98f6a04255758"><code>5902b2b</code></a> deps: update JUnit</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/12fbd63ee9a0889f19fdd0d28417e9dc011dde2f"><code>12fbd63</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/apache/maven-gpg-plugin/issues/10">#10</a> from Syquel/bugfix/MGPG-66</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/4da69213e2f50757ae2630915688cf87f9acffb2"><code>4da6921</code></a> [MGPG-66] fix handling of excluded files on linux</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/401672105f3c4230076ad16fe99f84c2fce17b0b"><code>4016721</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/apache/maven-gpg-plugin/issues/12">#12</a> from Syquel/bugfix/MGPG-80_equality</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/fba2c3913e851811bb3e64a39ff839cbd6688703"><code>fba2c39</code></a> [MGPG-66] add test for handling of excluded files</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/26aa5b3eddbc1969a556bd788a0528c1aa9a5518"><code>26aa5b3</code></a> [MGPG-66] fix handling of excluded files</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/7438b379ef04cf3700671bfcc5cabacee5ad4e1e"><code>7438b37</code></a> [MGPG-80] implement GpgVersion equality in adherence to comparibility</li> <li><a href="https://github.com/apache/maven-gpg-plugin/commit/b38c6387cb3c8892fdac8ed47ddc9d2892810ed5"><code>b38c638</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/apache/maven-gpg-plugin/issues/11">#11</a> from Syquel/bugfix/MGPG-80</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-gpg-plugin/compare/maven-gpg-plugin-1.6...maven-gpg-plugin-3.0.1">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 7 days

PR merged bjansen/swagger-schema-validator

Bump jacoco-maven-plugin from 0.8.6 to 0.8.7 dependencies

Bumps jacoco-maven-plugin from 0.8.6 to 0.8.7. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/jacoco/jacoco/releases">jacoco-maven-plugin's releases</a>.</em></p> <blockquote> <h2>0.8.7</h2> <h2>New Features</h2> <ul> <li>JaCoCo now officially supports Java 15 and 16 (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1094">#1094</a>, <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1097">#1097</a>, <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1176">#1176</a>).</li> <li>Experimental support for Java 17 class files (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1132">#1132</a>).</li> <li>New <code>formats</code> parameter for Maven report goals to specify the generated report formats. Contributed by troosan. (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1175">#1175</a>).</li> <li>Branch added by the Kotlin compiler version 1.4.0 and above for "unsafe" cast operator is filtered out during generation of report (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1143">#1143</a>, <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1178">#1178</a>).</li> <li><code>synthetic</code> methods added by the Kotlin compiler version 1.5.0 and above for <code>private</code> suspending functions are filtered out (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1174">#1174</a>).</li> <li>Branches added by the Kotlin compiler version 1.4.20 and above for suspending lambdas are filtered out during generation of report (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1149">#1149</a>).</li> <li>Branches added by the Kotlin compiler version 1.5.0 and above for functions with default arguments are filtered out during generation of report (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1162">#1162</a>).</li> <li>Branch added by the Kotlin compiler version 1.5.0 and above for reading from <code>lateinit</code> property is filtered out during generation of report (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1166">#1166</a>).</li> <li>Additional bytecode generated by the Kotlin compiler version 1.5.0 and above for when expressions on <code>kotlin.String</code> values is filtered out during generation of report (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1172">#1172</a>).</li> <li>Improved filtering of bytecode generated by Kotlin compiler versions below 1.5.0 for when expressions on <code>kotlin.String</code> values (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1156">#1156</a>).</li> </ul> <h2>Fixed bugs</h2> <ul> <li>Fixed parsing of SMAP generated by Kotlin compiler version 1.5.0 and above (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1164">#1164</a>).</li> </ul> <h2>Non-functional Changes</h2> <ul> <li>JaCoCo now depends on ASM 9.1 (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1094">#1094</a>, <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1097">#1097</a>, <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1153">#1153</a>).</li> <li>Maven plug-in has no dependency on <code>maven-reporting-impl</code> any more (GitHub <a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1121">#1121</a>).</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/jacoco/jacoco/commit/d19ea595a67af6f16d76b49ccdc12858c3570298"><code>d19ea59</code></a> Prepare release 0.8.7</li> <li><a href="https://github.com/jacoco/jacoco/commit/b25ce531a4e81f1a0cffc5937ff8d44161a2f663"><code>b25ce53</code></a> Upgrade Kotlin to 1.5.0 (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1181">#1181</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/29a289066a20c85354d0fce06cad745157d77cc8"><code>29a2890</code></a> Update KotlinControlStructuresTarget for Kotlin 1.5 (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1180">#1180</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/acce036c5088aaecfcf39d06e17a907d9333de3f"><code>acce036</code></a> Add maven parameter to control which reports to generate (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1175">#1175</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/b23461d1ce3cf1aaab41d89821b9334be22b6e14"><code>b23461d</code></a> Update KotlinUnsafeCastOperatorFilter for Kotlin 1.5 (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1178">#1178</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/722acd990f8b29edf0a36af11c9b502270a097fa"><code>722acd9</code></a> Update documentation: JDK versions up to 16 are officially supported (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1176">#1176</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/c089ed7f43cceca0e2183d52f6ed705b2a3165ae"><code>c089ed7</code></a> Fix wording (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1109">#1109</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/2eca2f29b22b2dd78bcc7e5869e02ef18092eab9"><code>2eca2f2</code></a> Add url to jacoco-maven-plugin (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1169">#1169</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/86dc5fd9f0531927054ba06991c6ee94c8da7785"><code>86dc5fd</code></a> Update filter for Kotlin 1.5 suspending functions (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1174">#1174</a>)</li> <li><a href="https://github.com/jacoco/jacoco/commit/b68fe1a0a7fb86f12cda689ec473fd6633699b55"><code>b68fe1a</code></a> Update filter for Kotlin 1.5 when-expressions with String (<a href="https://github-redirect.dependabot.com/jacoco/jacoco/issues/1172">#1172</a>)</li> <li>Additional commits viewable in <a href="https://github.com/jacoco/jacoco/compare/v0.8.6...v0.8.7">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 7 days

push eventbjansen/swagger-schema-validator

dependabot[bot]

commit sha 530d956d26415482cf0f285a8edca1e8bc664573

Bump jacoco-maven-plugin from 0.8.6 to 0.8.7 Bumps [jacoco-maven-plugin](https://github.com/jacoco/jacoco) from 0.8.6 to 0.8.7. - [Release notes](https://github.com/jacoco/jacoco/releases) - [Commits](https://github.com/jacoco/jacoco/compare/v0.8.6...v0.8.7) Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha 284dd9ec905aed1d974a0a57260007c4a395f334

Merge pull request #21 from bjansen/dependabot/maven/org.jacoco-jacoco-maven-plugin-0.8.7 Bump jacoco-maven-plugin from 0.8.6 to 0.8.7

view details

push time in 7 days

issue commentantlr/intellij-plugin-v4

Parsing was aborted error while using popMode/pushMode

The IDE delegates the actual parsing to ANTLR, so I think it's either a bug in your grammar or a bug that should be reported at https://github.com/antlr/antlr4

Have you tried generating a Java parser and testing your input with grun? If the Java parser also fails to parse your input, that could indicate a bug in your grammar.

gregbugaj

comment created time in 7 days

issue commentbeanio/beanio

JavaSE 8 - LocalDate & LocalTime Support

@garcia-jj here's what I have so far: https://github.com/beanio/beanio/blob/33e3461b28c1b7be14edd5c5fddd3b219cc9ada9/src/org/beanio/types/TemporalAccessorTypeHandler.java

If you have time to test this branch and perhaps compare the implementation with yours, that would be great!

nicwillemse

comment created time in 14 days

issue commentbeanio/beanio

Automatic-Module-Name

The general consensus regarding module names is to use reverse-DNS names. I'd prefer having com.github.beanio instead.

bjansen

comment created time in 14 days

push eventbeanio/beanio.github.io

dependabot[bot]

commit sha 05df2a11239dc70832e3a0074573dfcf53666001

Bump path-parse from 1.0.6 to 1.0.7 Bumps [path-parse](https://github.com/jbgutierrez/path-parse) from 1.0.6 to 1.0.7. - [Release notes](https://github.com/jbgutierrez/path-parse/releases) - [Commits](https://github.com/jbgutierrez/path-parse/commits/v1.0.7) --- updated-dependencies: - dependency-name: path-parse dependency-type: indirect ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha 69b89ac250b18f5fa785e674d96add350d3c7377

Merge pull request #7 from beanio/dependabot/npm_and_yarn/path-parse-1.0.7 Bump path-parse from 1.0.6 to 1.0.7

view details

push time in 14 days

PR merged beanio/beanio.github.io

Bump path-parse from 1.0.6 to 1.0.7 dependencies

Bumps path-parse from 1.0.6 to 1.0.7. <details> <summary>Commits</summary> <ul> <li>See full diff in <a href="https://github.com/jbgutierrez/path-parse/commits/v1.0.7">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

0 comment

1 changed file

dependabot[bot]

pr closed time in 14 days

push eventbeanio/beanio.github.io

dependabot[bot]

commit sha 45fb6ab28183f6b11bf4ad60131ff2813afd6e7e

Bump tar from 6.1.0 to 6.1.11 Bumps [tar](https://github.com/npm/node-tar) from 6.1.0 to 6.1.11. - [Release notes](https://github.com/npm/node-tar/releases) - [Changelog](https://github.com/npm/node-tar/blob/main/CHANGELOG.md) - [Commits](https://github.com/npm/node-tar/compare/v6.1.0...v6.1.11) --- updated-dependencies: - dependency-name: tar dependency-type: indirect ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha 927d0a6bd1d8461b55dec46843f15fa624215f30

Merge pull request #8 from beanio/dependabot/npm_and_yarn/tar-6.1.11 Bump tar from 6.1.0 to 6.1.11

view details

push time in 14 days

PR merged beanio/beanio.github.io

Bump tar from 6.1.0 to 6.1.11 dependencies

Bumps tar from 6.1.0 to 6.1.11. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/npm/node-tar/commit/e573aeea19d4d650908b7f6bf0a1ad8dce9f1736"><code>e573aee</code></a> 6.1.11</li> <li><a href="https://github.com/npm/node-tar/commit/edb8e9a3fa5869cfb935479a262f6f61b0a2ec57"><code>edb8e9a</code></a> fix: perf regression on hot string munging path</li> <li><a href="https://github.com/npm/node-tar/commit/a9d9b05fc974425089922bf66e8e7751ea8bfbbc"><code>a9d9b05</code></a> chore(test): Avoid spurious failures packing node_modules/.cache</li> <li><a href="https://github.com/npm/node-tar/commit/24b8bdadf37118182496ecf81fa7a872196fb38b"><code>24b8bda</code></a> fix(test): use posix path for testing path reservations</li> <li><a href="https://github.com/npm/node-tar/commit/e5a223c6b293f1cb2ebb2dd97668f787e8983ca4"><code>e5a223c</code></a> fix(test): make unpack test pass on case-sensitive fs</li> <li><a href="https://github.com/npm/node-tar/commit/188baddc1d0e6ef5140c7a788f03fc2a6c3df2ea"><code>188badd</code></a> 6.1.10</li> <li><a href="https://github.com/npm/node-tar/commit/23312ce7db8a12c78d0fba96d7664a01619266a3"><code>23312ce</code></a> drop dirCache for symlink on all platforms</li> <li><a href="https://github.com/npm/node-tar/commit/4f1f4a21fca64f3089da0e83ceea775c66b55052"><code>4f1f4a2</code></a> 6.1.9</li> <li><a href="https://github.com/npm/node-tar/commit/875a37e3ec031186fc6599f6807341f56c584598"><code>875a37e</code></a> fix: prevent path escape using drive-relative paths</li> <li><a href="https://github.com/npm/node-tar/commit/b6162c7fafe797f856564ef37f4b82747f051455"><code>b6162c7</code></a> fix: reserve paths properly for unicode, windows</li> <li>Additional commits viewable in <a href="https://github.com/npm/node-tar/compare/v6.1.0...v6.1.11">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

0 comment

1 changed file

dependabot[bot]

pr closed time in 14 days

issue commentprimefaces/primeng

Dropdown displays first option when none of the options match the model

EDIT: As a workaround, you can define a placeholder attribute to display something else, but unfortunately if you just try to put placeholder="" you get the first option and if you put placeholder=" " with a space then the input ends up having no height. Something like placeholder="..." can work though.

It looks like using placeholder="&nbsp;" instead of placeholder=" " fixes the height issue (at least on Firefox + macOS):

image

spike83

comment created time in 17 days

push eventbjansen/pebble-intellij

dependabot[bot]

commit sha 34336bc3b1ecc1ab6f04fc977bd1d5c3f5e847a7

Bump org.sonarqube from 3.2.0 to 3.3 Bumps org.sonarqube from 3.2.0 to 3.3. --- updated-dependencies: - dependency-name: org.sonarqube dependency-type: direct:production update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Bastien Jansen

commit sha 202e812b1b9e4ba060f9b6664a7f2b829d9116ab

Merge pull request #101 from bjansen/dependabot/gradle/org.sonarqube-3.3 Bump org.sonarqube from 3.2.0 to 3.3

view details

push time in 25 days

PR merged bjansen/pebble-intellij

Bump org.sonarqube from 3.2.0 to 3.3 dependencies

Bumps org.sonarqube from 3.2.0 to 3.3.

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 25 days

issue commentbeanio/beanio

BeanIO fails to run under Wildfly 24

Wildfly might be shipping a version of xerces that is older than the one provided by the JDK: https://stackoverflow.com/questions/58374278/org-xml-sax-saxnotrecognizedexception-property-http-javax-xml-xmlconstants-p

garcia-jj

comment created time in a month

startedPante/elementary

started time in a month

issue commentjeremylong/DependencyCheck

Please provide a "owasp/dependency-check-daily" docker image with full database

@jeremylong the Docker image hasn't been updated in the last 8 days because GitHub Actions decided that nothing happens in the builder repo anymore:

image

Do you have enough permissions to do something about it, or do I need to contact someone else?

lathspell

comment created time in a month

pull request commentzapodot/embedded-ldap-junit

Add support for JUnit 5 extensions (#57)

I think there's an extra change that I could do: embedded-ldap-core is now mostly abstract classes, but I could add a Simple/Default implementation that would turn the thing into a standalone module.

People who want to embed a simple LDAP server in their application (outside of the context of unit tests) could simply pull embedded-ldap-core and use its builder to set up their server!

bjansen

comment created time in 2 months

pull request commentzapodot/embedded-ldap-junit

Add support for JUnit 5 extensions (#57)

Good news! I moved (actually copied) most of the unit tests from embedded-ldap-junit to embedded-ldap-core, and the coverage is now on par with what's currently on master.

I suppose I could remove most of the tests in embedded-ldap-junit which are now redundant, and only leave what's testing the actual JUnit rule stuff, and not the embedded LDAP server. WDYT @zapodot?

So, to summarize:

  • The project is now split into 3 modules:
    • embedded-ldap-core contains most of the code to setup an embedded LDAP server, and is not tied to any testing framework. It has good code coverage.
    • embedded-ldap-junit is a JUnit 4 rule that starts this embedded LDAP server
    • embedded-ldap-junit5 is a JUnit 5 extension that starts this embedded LDAP server
  • This new version should not break anything in existing projects, because Maven coordinates remain the same (the only difference is that embedded-ldap-junit now has an extra dependency on embedded-ldap-core). Package names and class names remain the same.
  • Now that the project is modularized, it's possible in theory to add support for new testing frameworks that have an equivalent of JUnit's @Rule.
bjansen

comment created time in 2 months

push eventbjansen/embedded-ldap-junit

Bastien Jansen

commit sha d5cebeff24b77ef70aaee688cdc7c6f8e9f27638

Moved most of the unit tests from embedded-ldap-junit to embedded-ldap-core

view details

push time in 2 months

push eventantlr/antlr4-intellij-adaptor

Danny van Bruggen

commit sha 820757c8cebfde1534d1da5ed4d26904031baba0

Use Java 8 features everywhere

view details

Danny van Bruggen

commit sha 9703d809040aa72c1e08a631b1d8ea1b25c6f264

Update contributors.txt

view details

Bastien Jansen

commit sha e002d4d7cadb9f3a0a5db9202fed8533417b8cf5

Merge pull request #20 from matozoid/use_java_8 Use Java 8 features everywhere

view details

push time in 2 months

PR merged antlr/antlr4-intellij-adaptor

Reviewers
Use Java 8 features everywhere enhancement

This cleans things up very nicely in some places.

+17 -37

1 comment

10 changed files

matozoid

pr closed time in 2 months

pull request commentantlr/antlr4-intellij-adaptor

Use Java 8 features everywhere

Looks good, thank you!

matozoid

comment created time in 2 months

Pull request review commentantlr/jetbrains-plugin-sample

Upgrade gradle and fix tests

 dependencies {         exclude group:'com.ibm.icu', module:'icu4j'     }     implementation 'org.antlr:antlr4-intellij-adaptor:0.1'-    testCompile group: 'junit', name: 'junit', version: '4.11'+    testImplementation group: 'junit', name: 'junit', version: '4.11' }--generateGrammarSource {-    arguments += ["-package", "org.antlr.jetbrains.sample.parser", "-Xexact-output-dir"]-}

I think there's a downside to this method, but I can't remember what it is 🤔 .

matozoid

comment created time in 2 months